;"This line left intentionally nonsense" - frisst der Assembler im List-File ;)
; ****************************************************************************
; *                              Projekt W006S005                            *
; *            Firmware fr Geocaching-Magnetbake 5x7DotMatrix LED           *
; *                             auf Atmel AVR-Basis                          *
; ****************************************************************************
; *                                                                          *
; *               (c) 2013 Jochen Wienstroth                                 *
; *               wienstroth unkonventionelle technik zeitgem              *
; *               Am Deutschherrenberg 33                                    *
; *               D-35578 Wetzlar                                            *
; *               Tel: auf Anfrage / Fax: 03222-1168698                      *
; *               http://www.chrysophylax.de                                 *
; *               mailto: wutz@chrysophylax.de                               *
; *                                                                          *
; *                                                     2013-06-03           *
; *                                                                          *
; ****************************************************************************
; *                                                                          *
; *                Die Nutzung dieser Software ist nur erlaubt im            *
; *                Rahmen der Lizenz Creative Commons CC-BY-NC-SA            *
; *                V3.0 - siehe auch                                         *
; *                                                                          *
; *               http://creativecommons.org/licenses/by-nc-sa/3.0/          *
; *                                                                          *
; *                Jede Abweichung der Nutzung dieser Software               *
; *                von den genannten Bestimmungen darf nur                   *
; *                mit schriftlicher Genehmigung durch den oben              *
; *                genannten Urheberrechtsinhaber erfolgen !                 *
; *                                                                          *
; ****************************************************************************




; ****************************************************************************

.equ 	SWVER = 0x02          ;Firmware-Version

;                             Firmware-Historie:
;                             ==================

;   V0.02 (2013-06-03 *JWie*)
;
;  Weiches "Tacho-Scrollen" wie mechanische Rollenanzeige hinzugefgt

;	V0.01 (2013-03-14 *JWie*)
;
;  Erste Version, ausschlielich Magnetbaken-Funktionalitt.


.equ    HWVER = 0x5001	     ;Hardware-Version

;                             Hardware-Historie:
;                             ==================

;   W006Z005V001 (2013-03-14 *JWie*)
;
;   Prototypen in THT nach Schaltplan W006Z005V001 bzw. auf Leiterplatte
;   W006L005V001.

.CSEG			                ;Code-Start		

;*****************************************************************************
;*****************************************************************************
;*                   Unterscheidung Entwicklung <-> Anwender                 *
;*****************************************************************************
;*****************************************************************************
;#define EW							; Entwickler kriegen Assembler-Quellcode
;*****************************************************************************
#ifdef EW
 .include "W006S005.asm"			; Entwickler kriegen Assembler-Quellcode,
#else
 .include "W6S5.inc"				; Anwender kriegen dot-deeh-double-youh
#endif
;*****************************************************************************
 
.include "Sonderzeichen.inc"		; Konstantennamen Sonderzeichen einbinden

;*****************************************************************************
;*****************************************************************************
;*                           Auszugebende Nachricht                          *
;*****************************************************************************
;*****************************************************************************
BOTBEG:							; Anfang auszugebende Nachricht
;*****************************************************************************
#ifndef	GENATDW					; Nachricht nur im Normalbetrieb einbauen
;*****************************************************************************
.equ FLCONF = 0b11010000        ; Konfigurationsbyte Flash
;               |||||||+--------- Bit0: reserviert, bitte 0 lassen
;               ||||||+---------- Bit1: reserviert, bitte 0 lassen
;               |||||+----------- Bit2: reserviert, bitte 0 lassen
;               ||||+------------ Bit3: reserviert, bitte 0 lassen
;               |||+------------- Bit4: SCROLL, Zeichenausgabe "Rollenanzeige"
;               ||+-------------- Bit5: UPSDWN, Zeichenausgabe "auf dem Kopf"
;               |+--------------- Bit6: COLINV, Spaltenansteuerung invertiert
;               +---------------- Bit7: ROWINV, Zeilenansteuerung invertiert

.equ ADAUER = 8 				; Anzeigedauer jedes Zeichens x10ms,
								; Beispiel: 80 = 800ms Anzeigedauer
.equ PDAUER = 50                ; Pausenzeit nach jedem Zeichen x10ms,
                                ; Beispiel: 5 = 50ms Pausenzeit
	.db FLCONF, 0               ; Konfigurationswort im Flash ablegen
	.db ADAUER, PDAUER          ; Anzeigedauer, Pausendauer im Flash ablegen
	.dw ((BOTEND-BOTBEG-3)<<1)  ; Lnge des Strings im Flash ablegen
							

; Hier folgt der eigentliche Ausgabe-Text. Einfach Klartext schreiben,
; Sonderzeichen und hufig bentigte Zeichen oberhalb des klassischen
; 7-Bit-ASCII (Umlaute, Euro-Zeichen, Grad-Zeichen (), Fortschrittsbalken
; und andere lustige Pseudografiken) finden sich als Konstanten vordefiniert
; in Sonderzeichen.inc, dort einfach nachsehen ob und was sich passendes
; findet und hier mit Konstantennamen im Text einfgen.

	.db "Hallo! Finde N48",SYM_DEG," 51.493 E002",SYM_DEG," 17.670 und H=324m. "	
	.db SYM_PFRE,"Pieps!",SYM_PFLI

; Bitte darauf achten, dass in jeder "Textzeile" eine gerade Anzahl an Zeichen
; steht, sonst fllt der Assembler die Zeile automatisch nach hinten mit einem
; Leerzeichen auf und gibt eine Warning aus. Diese kann man ignorieren, aber
; hbsch geht anders....

;*****************************************************************************
BOTEND:							; Ende von Ausgabestring
;*****************************************************************************
#endif

;*****************************************************************************
;*****************************************************************************
;*                                PROGRAMM-ENDE                              *
;*****************************************************************************
;*****************************************************************************
